      
      PROGRAM hello
      
      INCLUDE 'mpif.h'
      
      INTEGER myrank, size, ierr
      
C     Initialize MPI:
      
      call MPI_INIT(ierr)
      
C     Get my rank:
      
      call MPI_COMM_RANK(MPI_COMM_WORLD, myrank, ierr)
      
C     Get the total number of processors:
      
      call MPI_COMM_SIZE(MPI_COMM_WORLD, size, ierr)
      
      PRINT *, "Processor", myrank, "of", size, ": Hello World!"   
      
C     Terminate MPI:
      
      call MPI_FINALIZE(ierr)
      
      END
